<?php
require_once('config/lang/eng.php');
require_once('tcpdf.php');

// extend TCPF with custom functions
/**
 * Clase manejador de creacion pdf
 * cabecera y pie de pagina
 */
class CDPDF extends TCPDF {

    public $usuario;
    public $titulo;
    public $encabezado;
    public $id_comision;
    public $fecha;
    public $clase;
    public $estado;
    public $tipo_compr;
    public $id_cen_op;
    public $fecha_c;
    public $fecha_p;

    /*
     * variables contabilidad
     */
    public $empresa;
    public $fecha_contab;
    public $cifras;

    /**
     * Set de empresa
     * @param <type> $empresa
     */
    public function setEmpresa($empresa) {

        $this->empresa = $empresa;
    }

    /**
     * Set de fecha de contabilidad
     * @param <type> $fecha_contab
     */
    public function setFechaContab($fecha_contab) {

        $this->fecha_contab = $fecha_contab;
    }

    public function setCifras($cifras) {

        $this->cifras = $cifras;
    }

    public function setUsuario($usuario) {

        $this->usuario = $usuario;
    }

    public function setTitulo($titulo) {

        $this->titulo = $titulo;
    }

    public function setEncabezado($encabezado) {

        $this->encabezado = $encabezado;
    }

    public function setCdp($id_comision, $fecha, $clase, $estado, $tipo_comp, $id_cen_op) {
        $this->tipo_compr = $tipo_comp;
        $this->id_comision = $id_comision;
        $this->fecha = $this->fechaEspanol($fecha);
        $this->clase = $clase;
        $this->id_cen_op = $id_cen_op;
        if ($estado == 1)
            $this->estado = "ACTIVO";
        if ($estado == 0)
            $this->estado = "CERRADO";
        if ($estado == -1)
            $this->estado = "ANULADO";
    }

    public function setRp($id_comision, $fecha, $clase, $estado, $tipo_comp, $id_cen_op) {


        $this->tipo_compr = $tipo_comp;
        $this->id_comision = $id_comision;
        $this->fecha = $this->fechaEspanol($fecha);
        $this->clase = $clase;
        $this->id_cen_op = $id_cen_op;
        if ($estado == 1)
            $this->estado = "ACTIVO";
        if ($estado == 0)
            $this->estado = "CERRADO";
        if ($estado == -1)
            $this->estado = "ANULADO";
    }

    public function setLegalizacion($fecha_p, $fecha_c) {

        $this->fecha_p = $this->fechaEspanol($fecha_p);
        $this->fecha_c = $this->fechaEspanol($fecha_c);
    }

    public function setPac($titulo1, $titulo2, $titulo3) {

        $this->titulo1 = $titulo1;
        $this->titulo2 = $titulo2;
        $this->titulo3 = $titulo3;
    }

    public function setInforme4($titulo1, $titulo2, $titulo3, $titulo4) {

        $this->titulo1 = $titulo1;
        $this->titulo2 = $titulo2;
        $this->titulo3 = $titulo3;
        $this->titulo4 = $titulo4;
    }

    /**
     * Cabecera del pdf
     */
    public function Header() {


        /*
         * encabezado estados financieros
         */

        $this->SetRightMargin(15);
        $this->SetTopMargin(10);
        $this->SetFont('Times', '', 8);
        $html_2 = '<table  width="100%">
            <tr>
            <td width="20%" rowspan="4"><img width="120px" height="50px" src="images/LogoEmpresa002.png"/></td>
            <td width="80%" style="text-align:center" ><b>' . $this->empresa . '</b></td>
            </tr>
            <tr>
            <td width="80%" style="text-align:center" ><b>' . $this->titulo . '</b></td>
            </tr>
            <tr>
            <td width="80%" style="text-align:center" ><b>' . $this->fecha_contab . '</b></td>
            </tr>
            <tr>
            <td width="80%" style="text-align:center" >' . $this->cifras . '</td>
            </tr>';
        $html_2.='</table>';
        $this->writeHTML($html_2);
//        $this->Ln(15);
        $this->SetMargins(20, 35, 20);


//        if ($this->encabezado == '1') {
//
//            $this->SetRightMargin(15);
//            $this->SetTopMargin(2);
//            $this->SetFont('helvetica', '', 7);
//            $html = '<table border="0" cellpadding="2" width="100%"><tr><td width="100%" rowspan="2"><img width="550px" height="110px" src="images/logo_ingeo_bicen.jpg" /></td>';
//            $html.='</tr></table>';
//            $this->writeHTML($html);
//            $this->Ln(8);
//            $this->SetMargins(20, 25, 20);
//            $this->SetMargins(20, 15, 20);
//        }
//        else if($this->encabezado=='3'){
// $this->SetRightMargin(15);
//            $this->SetTopMargin(10);
//            $this->SetFont('Times', '', 10);
//            $html_2 = '<table  width="100%"><tr><td width="50%" rowspan="3"><img width="170px" height="50px" src="images/logo_ingeominas.jpg"/></td><td style="text-align:right" width="50%"><b>'.$this->titulo.'</b></td></tr>';
//            if($this->fecha_p!=null){
//            $html_2.='<tr><td style="text-align:right" width="50%">Fecha Proceso: '.$this->fecha_p.'</td></tr></table>';
//            }
//            else{
//             $html_2.='</table>';
//
//            }
//            $this->writeHTML($html_2);
//
//            $this->SetMargins(20, 35, 20);
//        }
//        else if($this->encabezado=='4'){
//
//
//            $this->SetRightMargin(15);
//            $this->SetTopMargin(10);
//            $this->SetFont('Times', '', 10);
//            $html_2 = '<table  width="100%"><tr><td width="40%" rowspan="3"><img width="170px" height="50px" src="images/logo_ingeominas.jpg"/></td><td style="text-align:left" width="50%"><b>'.$this->titulo.'</b></td></tr>';
//            $html_2.='</table>';
//            $this->writeHTML($html_2);
//            $this->Ln(15);
//            $this->SetMargins(20, 35, 20);
//
//        }
//
//        else if($this->encabezado=='5'){
//
//            $this->SetRightMargin(15);
//            $this->SetTopMargin(10);
//            $this->SetFont('Times', '', 10);
//            $html_2 = '<table  width="100%"><tr>
//                <td width="30%" rowspan="3">
//                <img width="160px" height="50px" src="images/logo_ingeominas.jpg"/>
//                </td>
//                <td style="text-align:center" width="50%"><b>'.$this->titulo1.'</b></td><td></td>
//                    </tr><tr>
//                        <td style="text-align:center" width="50%"><b>'.$this->titulo2.'</b></td><td></td>
//                    </tr><tr>
//                        <td style="text-align:center" width="50%"><b>'.$this->titulo3.'</b></td><td></td>
//                    </tr>';
//            $html_2.='</table>';
//
//            $this->writeHTML($html_2);
//            $this->Ln(15);
//            $this->SetMargins(20, 35, 20);
//        }
//        else if($this->encabezado=='6'){
//
//            $this->SetRightMargin(15);
//            $this->SetTopMargin(10);
//            $this->SetFont('Times', '', 10);
//            $html_2 = '<table  width="100%"><tr>
//                <td width="30%" rowspan="4">
//                <img width="160px" height="50px" src="images/logo_ingeominas.jpg"/>
//                </td>
//                <td style="text-align:center" width="50%"><b>'.$this->titulo1.'</b></td><td></td>
//                    </tr><tr>
//                    <td style="text-align:center" width="50%"><b>'.$this->titulo4.'</b></td><td></td>
//                        </tr><tr>
//                        <td style="text-align:center" width="50%"><b>'.$this->titulo2.'</b></td><td></td>
//                    </tr><tr>
//                        <td style="text-align:center" width="50%"><b>'.$this->titulo3.'</b></td><td></td>
//                    </tr>';
//            $html_2.='</table>';
//
//            $this->writeHTML($html_2);
//            $this->Ln(15);
//            $this->SetMargins(20, 35, 20);
//        }
//
//
//
//
//        else {
//
//            $date = date('d-M-y  h:m');
//
//            $this->SetRightMargin(10);
//            $this->SetTopMargin(4);
//            $this->SetFont('helvetica', '', 7);
//            $html = '<table border="0" width="100%"><tr><td width="15%" rowspan="4"><img width="170px" height="40px" src="images/logo_ingeominas.jpg" /></td>';
//            if($this->tipo_compr==1){
//            $html .= '<td width="65%" rowspan="4" align="center"><br/><br/><b>' . $this->titulo .'<br/>'.$this->id_cen_op. '</b></td><td rowspan="4" align="right" width="20%"><h1>CDP No. ' . $this->id_comision . '</h1><b>FECHA: '.$this->fecha.'<br/>CLASE CDP: '.$this->clase.'<br/>ESTADO: '.$this->estado.'</b></td></tr></table>';
//            }
//            else if($this->tipo_compr==2){
//            $html .= '<td width="65%" rowspan="4" align="center"><br/><br/><b>' . $this->titulo .'<br/>'.$this->id_cen_op. '</b></td><td rowspan="4" align="right" width="20%"><h1>RP No. ' . $this->id_comision . '</h1><b>FECHA: '.$this->fecha.'<br/>CLASE RP: '.$this->clase.'<br/>ESTADO: '.$this->estado.'</b></td></tr></table>';
//            }
//            $this->writeHTML($html);
//
//             if($this->tipo_compr==1){
//$this->SetMargins(20, 25, 20);
//        }
//        else if($this->tipo_compr==2){
//            $this->SetMargins(20, 20, 20);
//        }
//        }
    }

    /**
     * Pie de pagina del pdf
     */
    public function Footer() {
        $html = "";
//        if ($this->encabezado == '1') {
//
//        } else {
        $mes = date('F');
        $date = date('d \d\e ') . $this->mesEspanol($mes) . date(' \d\e Y  h:m a');
        $time = time();
        $html = "";
        $this->SetRightMargin(15);
        $this->SetLeftMargin(15);
        $this->SetFont('helvetica', '', 7);
        $this->SetY(-12);
//        if ($this->tipo_compr != 2) {
        $html = '<table style="width:100%">
                        <tr>
                            <td width="45%" style="color: #999">Fecha de Impresion: ' . $date . ' </td>
                            <td width="40%" style="color: #999">Websafi - Contabilidad</td>
	                    <td width="15%" style="color: #999">Página ' . $this->PageNo() . '/{nb}</td>
                        </tr>
                     </table>';
//        }
        $this->writeHTML($html);
//        }
    }

    /**
     * Cambiar el nombre del mes a español
     *
     * @param <type> $mes
     * @return string
     */
    function mesEspanol($mes) {

        if ($mes == "January")
            $mes = "Enero";
        if ($mes == "February")
            $mes = "Febrero";
        if ($mes == "March")
            $mes = "Marzo";
        if ($mes == "April")
            $mes = "Abril";
        if ($mes == "May")
            $mes = "Mayo";
        if ($mes == "June")
            $mes = "Junio";
        if ($mes == "July")
            $mes = "Julio";
        if ($mes == "August")
            $mes = "Agosto";
        if ($mes == "September")
            $mes = "Setiembre";
        if ($mes == "October")
            $mes = "Octubre";
        if ($mes == "November")
            $mes = "Noviembre";
        if ($mes == "December")
            $mes = "Diciembre";

        return $mes;
    }

    /**
     * Cambiar formato de fehca a español
     *
     * @param <type> $fecha
     * @return string .
     */
    function fechaEspanol($fecha) {


        $transf = strtotime($fecha);
        $dia = date("d", $transf);
        $mes = date("F", $transf);

        if ($mes == "January")
            $mes = "Enero";
        if ($mes == "February")
            $mes = "Febrero";
        if ($mes == "March")
            $mes = "Marzo";
        if ($mes == "April")
            $mes = "Abril";
        if ($mes == "May")
            $mes = "Mayo";
        if ($mes == "June")
            $mes = "Junio";
        if ($mes == "July")
            $mes = "Julio";
        if ($mes == "August")
            $mes = "Agosto";
        if ($mes == "September")
            $mes = "Setiembre";
        if ($mes == "October")
            $mes = "Octubre";
        if ($mes == "November")
            $mes = "Noviembre";
        if ($mes == "December")
            $mes = "Diciembre";
        $ano = date("Y", $transf);
        $fecha_resol = $dia . " " . $mes . " " . $ano;
        return $fecha_resol;
    }
}

